import threading
import sys
import traceback
import signal


def dumpstacks(signal, frame):
    print >>sys.stderr, ""
    print >>sys.stderr, "User-requested stack trace:"
    print >>sys.stderr, "---------------------------"
    id2name = dict([(th.ident, th.name) for th in threading.enumerate()])
    code = []
    for threadId, stack in sys._current_frames().items():
        tloc = "\n# Thread: %s(%d)" % (id2name.get(threadId, ""), threadId)
        code.append(tloc)
        for filename, lineno, name, line in traceback.extract_stack(stack):
            if not filename.endswith('dump_stack.py'):
                loc = 'File: "%s", line %d, in %s' % (filename, lineno, name)
                code.append(loc)
                if line:
                    code.append("  %s" % (line.strip()))
    print >>sys.stderr, "\n".join(code)


def install_stack_dump_signal():
    signal.signal(signal.SIGQUIT, dumpstacks)
