# Ubuntu Continuous Integration Engine
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# WARNING !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
# these are constants used by the ticket-system API. As they are the API
# and values that live in a DB, you should *NOT* make changes unless you
# include a django-south migration and intend to break the API.
# WARNING !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

from lazr.enum import DBEnumeratedType, DBItem


class Item(DBItem):

    def __int__(self):
        return int(self.value)


class SubTicketWorkflowStep(DBEnumeratedType):

    NEW = Item(000, "New")
    QUEUED = Item(100, "Queued")
    PKG_BUILDING = Item(200, "Package building")
    COMPLETED = Item(1000, "Completed")

    def __str__(self):
        return str(self.value)


class SubTicketWorkflowStepStatus(DBEnumeratedType):

    NEW = Item(000, "New")
    PKG_BUILDING_WAITING = Item(210, "Not started")
    PKG_BUILDING_INPROGRESS = Item(220, "In progress")
    PKG_BUILDING_COMPLETED = Item(230, "Completed")
    PKG_BUILDING_FAILED = Item(240, "Failed")

    def __str__(self):
        return str(self.value)


class TicketWorkflowStep(DBEnumeratedType):

    NEW = Item(000, "New")
    QUEUED = Item(100, "Queued")
    PKG_BUILDING = Item(200, "Package building")
    IMAGE_BUILDING = Item(300, "Image building")
    IMAGE_TESTING = Item(400, "Image testing")
    PKG_PUBLISHING = Item(500, "Package publishing")
    FAILED = Item(999, "Failed")
    COMPLETED = Item(1000, "Completed")

    def __str__(self):
        return str(self.value)


class TicketWorkflowStepStatus(DBEnumeratedType):

    NEW = Item(000, "New")
    PENDING = Item(110, "Not started")
    PKG_BUILDING_WAITING = Item(210, "Not started")
    PKG_BUILDING_INPROGRESS = Item(220, "In progress")
    PKG_BUILDING_COMPLETED = Item(230, "Completed")
    PKG_BUILDING_FAILED = Item(240, "Package Building Failed")
    IMAGE_BUILDING_WAITING = Item(310, "Not started")
    IMAGE_BUILDING_INPROGRESS = Item(320, "In progress")
    IMAGE_BUILDING_COMPLETED = Item(330, "Completed")
    IMAGE_BUILDING_FAILED = Item(340, "Image Building Failed")
    IMAGE_TESTING_WAITING = Item(410, "Not started")
    IMAGE_TESTING_INPROGRESS = Item(420, "In progress")
    IMAGE_TESTING_PASSED = Item(430, "Passed")
    IMAGE_TESTING_FAILED = Item(440, "Image Testing Failed")
    PKG_PUBLISHING_COMPLETED = Item(510, "Completed")
    PKG_PUBLISHING_INPROGRESS = Item(520, "In progress")
    PKG_PUBLISHING_FAILED = Item(540, "Package Publishing Failed")
    COMPLETED = Item(1000, "Completed")

    def __str__(self):
        return str(self.value)
