# Ubuntu CI Engine
# Copyright 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import os

import yaml


_unit_config = None


def _load():
    path = os.path.join(os.path.dirname(__file__), '../../unit_config')
    with open(path) as f:
        global _unit_config
        _unit_config = yaml.safe_load(f)


def get(key):
    if not _unit_config:
        _load()
    return _unit_config[key]


def get_auth_config():
    if not _unit_config:
        _load()
    return _unit_config
