#!/usr/bin/env python
# Ubuntu CI Engine
# Copyright 2013, 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import os
import sys

# get ci_utils.setuptools on the path
ci_utils = os.path.join(os.path.dirname(__file__), '../ci-utils')
sys.path.append(ci_utils)
from ci_utils.setup_helper import setup

requires = [
    'PyYAML==3.10',
    'WebTest==2.0.10',
    'amqplib==1.0.0',
    # Required by test_update.py.
    'bzr==2.6.0',
    'django-tastypie==0.9.15',
    'mock==1.0.1',
    # FIXME: I don't understand why this didn't get installed from ucitests
    # itself. Difference between distutils and setup tools ? In the mean time,
    # let's force their install from here. -- vila 2014-02-13
    'pep8==1.4.6',
    'pyflakes==0.7.3',
    'python-jenkins==0.2.1',
    'python-subunit',
    'restish==0.12.1',
    'testtools==0.9.35',
    'ucitests==0.1.2',
]

extra = {
    'requires_openstack': True,
}

setup('ci-utils', 'ci_utils.tests', requires, **extra)
