# Ubuntu Continuous Integration Engine
# Copyright 2014 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License version 3, as published by the
# Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranties of MERCHANTABILITY,
# SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

import sys
import urllib2
from ci_libs import utils


def ticket_status(args):
    try:
        if args.ticket:
            url = utils.CI_URL + utils.TICKET_BASE + args.ticket + '/'
            data = utils.get(url)
        else:
            url = utils.CI_URL + utils.TICKET_BASE
            data = utils.get(url)
    except urllib2.HTTPError, exc:
        if exc.code == 404 and args.ticket:
            sys.exit("Ticket number {} not found.".format(args.ticket))
        raise
    except urllib2.URLError, exc:
        raise

    if args.ticket:
        if data[u'current_workflow_step'] == 'Failed':
            ticket_str = (u'Ticket #{} - {}\n'
                          '{}\n'
                          'Description: {}\n'
                          'Owner: {}\n'
                          'Created: {}\n'
                          'Updated: {}\n'
                          'Bug #: {}\n'
                          'Added binaries: {}\n'
                          'Removed binaries: {}'.format(
                              args.ticket, data[u'title'], data[u'status'],
                              data[u'description'], data[u'owner'],
                              data[u'created'], data[u'updated'],
                              data[u'bug_id'], data[u'added_binaries'],
                              data[u'removed_binaries']))
        else:
            ticket_str = (u'Ticket #{} - {}\n'
                          'Curent landing step: {} - {}\n'
                          'Description: {}\n'
                          'Owner: {}\n'
                          'Created: {}\n'
                          'Updated: {}\n'
                          'Bug #: {}\n'
                          'Added binaries: {}\n'
                          'Removed binaries: {}'.format(
                              args.ticket, data[u'title'],
                              data[u'current_workflow_step'], data[u'status'],
                              data[u'description'], data[u'owner'],
                              data[u'created'], data[u'updated'],
                              data[u'bug_id'], data[u'added_binaries'],
                              data[u'removed_binaries']))

        print(ticket_str.encode('utf-8'))
    else:
        for d in data['objects']:
            ticket_str = u'Ticket #{}, {} is {} {}'.format(
                d['id'], d['title'], d['current_workflow_step'], d['status'])
            print(ticket_str.encode('utf-8'))
