#!/usr/bin/env python
# Ubuntu Continuous Integration Engine
# Copyright 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import os
import sys

# get ci_utils.setuptools on the path
ci_utils = os.path.join(os.path.dirname(__file__), '../ci-utils')
sys.path.append(ci_utils)
from ci_utils.setup_helper import setup

requires = [
    'chardet>=2.0.1',
    'dput>=1.6',
    'lazr.enum>=1.1.2',
    'PyYAML==3.10',
    'mock==1.0.1',
    'testfixtures>=3.0.1',
    'python-gnupg>=0.3.6',
]

extra = {
    'scripts': ['ubuntu-ci'],
    'requires_openstack': True,
}
setup('cli', 'tests', requires, **extra)
