# Ubuntu CI Engine
# Copyright 2013, 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import logging
import sys

from django.db.models.signals import post_syncdb
import ppa_assigner.models


def _populate(sender, **kwargs):
    logging.info('populating inital PPA data...')
    try:
        ppa_assigner.models.PPA.populate_from_launchpad()
    except:
        msg = ('Unable to populate PPAs from launchpad. Check that '
               'LAUNCHPAD_PPA_OWNER is configured correctly in '
               'local_settings.py.')
        logging.error(msg)

# Testing is run with: manage.py test ....
# we don't want to try and sync for unit tests as our test setup does this
if not sys.argv[0].endswith('run-tests') and sys.argv[1] != 'test':
    post_syncdb.connect(_populate, sender=ppa_assigner.models)
