# Ubuntu CI Engine
# Copyright 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import os
import yaml


HERE = os.path.abspath(os.path.dirname(__file__))

# FIXME: Everything below sounds like config material, may be they should just
# be moved into their own config.py file. -- vila 2014-02-05

# The test runner uses a rabbit queue for test requests.
internal_rabbit_queue = 'test_runner'


# Creating the nova instance for the testbed and storing test results in the
# data store require nova credentials.
def get_auth_config(path=None):
    if path is None:
        path = os.path.abspath(os.path.join(HERE, '../../unit_config'))
    with open(path) as f:
        config = yaml.safe_load(f)
    return config
