#!/usr/bin/env python
# Ubuntu CI Engine
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import logging
from restish import app


from tstrun.resources import root

logging.basicConfig(level=logging.DEBUG)


def make_application():
    """Build the wsgi app object."""
    appl = app.RestishApp(root.Root())
    return appl


appl = make_application()

if __name__ == '__main__':
    import argparse
    from wsgiref import simple_server

    # FIXME: Check what happens if we use 0 as the default port (expecting a
    # free port to be assigned, needs to find how to get that back if needed)
    # -- vila 2014-01-07
    desc = "Run testrunner in python's wsgi reference server."
    parser = argparse.ArgumentParser(description=desc)
    parser.add_argument('-p', '--port', type=int, default=8080,
                        help='Port to use. Default=%(default)d')
    args = parser.parse_args()

    httpd = simple_server.make_server('', args.port, appl)
    try:
        print('Running server on port %d...' % args.port)
        httpd.serve_forever()
    except KeyboardInterrupt:
        print('exiting')
