#!/usr/bin/env python

import os
import unittest
import urllib2


from tests.deployers import DEPLOYER_DIR, DeployerTest


class JujuGuiTest(DeployerTest):
    """Integration tests for juju-gui service run on a juju deployment"""

    deployer_cfg = os.path.join(DEPLOYER_DIR, 'juju-gui.yaml')

    def get_unit(self):
        unit = self.status['services']['ci-juju-gui']['units'].values()[0]
        return unit

    def test_juju_gui(self):
        """Ensure that the juju-gui is on the bootstrap node (0), and that
        there's an HTTP server listening on its address"""

        unit = self.get_unit()
        self.assertEqual('0', unit['machine'])

        url = 'http://%s' % unit['public-address']
        urllib2.urlopen(url).read()


if __name__ == "__main__":
    unittest.main()
