# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'Ticket'
        db.create_table('ticket', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('owner', self.gf('django.db.models.fields.EmailField')(max_length=254)),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=4096)),
            ('description', self.gf('django.db.models.fields.TextField')()),
            ('bug_id', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
            ('current_workflow_step', self.gf('django.db.models.fields.IntegerField')(default=0, max_length=4096)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=0, max_length=4096)),
            ('base_image', self.gf('django.db.models.fields.CharField')(default='', max_length=4096)),
            ('series', self.gf('django.db.models.fields.CharField')(default=None, max_length=4096)),
            ('master_ppa', self.gf('django.db.models.fields.CharField')(default=None, max_length=4096)),
            ('created', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('added_binaries', self.gf('django.db.models.fields.CharField')(max_length=4096, null=True, blank=True)),
            ('removed_binaries', self.gf('django.db.models.fields.CharField')(max_length=4096, null=True, blank=True)),
        ))
        db.send_create_signal(u'ticket', ['Ticket'])

        # Adding model 'SourcePackageUpload'
        db.create_table('sourcepackageupload', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('sourcepackage', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['project.SourcePackage'])),
            ('version', self.gf('django.db.models.fields.CharField')(max_length=4096)),
        ))
        db.send_create_signal(u'ticket', ['SourcePackageUpload'])

        # Adding model 'SubTicket'
        db.create_table('subticket', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('current_workflow_step', self.gf('django.db.models.fields.IntegerField')(default=0, max_length=4096)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=0, max_length=4096)),
            ('ticket', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['ticket.Ticket'])),
            ('assignee', self.gf('django.db.models.fields.EmailField')(max_length=254)),
            ('source_package_upload', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['ticket.SourcePackageUpload'])),
        ))
        db.send_create_signal(u'ticket', ['SubTicket'])

        # Adding model 'SubTicketArtifact'
        db.create_table('subticket_artifact', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('reference', self.gf('django.db.models.fields.CharField')(max_length=4096)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=4096)),
            ('type', self.gf('django.db.models.fields.CharField')(max_length=4096)),
            ('subticket', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['ticket.SubTicket'], null=True)),
        ))
        db.send_create_signal(u'ticket', ['SubTicketArtifact'])

        # Adding model 'TicketArtifact'
        db.create_table('ticket_artifact', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('reference', self.gf('django.db.models.fields.CharField')(max_length=4096)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=4096)),
            ('type', self.gf('django.db.models.fields.CharField')(max_length=4096)),
            ('ticket', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['ticket.Ticket'], null=True)),
        ))
        db.send_create_signal(u'ticket', ['TicketArtifact'])


    def backwards(self, orm):
        # Deleting model 'Ticket'
        db.delete_table('ticket')

        # Deleting model 'SourcePackageUpload'
        db.delete_table('sourcepackageupload')

        # Deleting model 'SubTicket'
        db.delete_table('subticket')

        # Deleting model 'SubTicketArtifact'
        db.delete_table('subticket_artifact')

        # Deleting model 'TicketArtifact'
        db.delete_table('ticket_artifact')


    models = {
        u'project.sourcepackage': {
            'Meta': {'object_name': 'SourcePackage', 'db_table': "'sourcepackage'"},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '4096'})
        },
        u'ticket.sourcepackageupload': {
            'Meta': {'object_name': 'SourcePackageUpload', 'db_table': "'sourcepackageupload'"},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'sourcepackage': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['project.SourcePackage']"}),
            'version': ('django.db.models.fields.CharField', [], {'max_length': '4096'})
        },
        u'ticket.subticket': {
            'Meta': {'object_name': 'SubTicket', 'db_table': "'subticket'"},
            'assignee': ('django.db.models.fields.EmailField', [], {'max_length': '254'}),
            'current_workflow_step': ('django.db.models.fields.IntegerField', [], {'default': '0', 'max_length': '4096'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'source_package_upload': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['ticket.SourcePackageUpload']"}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '0', 'max_length': '4096'}),
            'ticket': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['ticket.Ticket']"})
        },
        u'ticket.subticketartifact': {
            'Meta': {'object_name': 'SubTicketArtifact', 'db_table': "'subticket_artifact'"},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'reference': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'subticket': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['ticket.SubTicket']", 'null': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '4096'})
        },
        u'ticket.ticket': {
            'Meta': {'object_name': 'Ticket', 'db_table': "'ticket'"},
            'added_binaries': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True', 'blank': 'True'}),
            'base_image': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '4096'}),
            'bug_id': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'current_workflow_step': ('django.db.models.fields.IntegerField', [], {'default': '0', 'max_length': '4096'}),
            'description': ('django.db.models.fields.TextField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'master_ppa': ('django.db.models.fields.CharField', [], {'default': 'None', 'max_length': '4096'}),
            'owner': ('django.db.models.fields.EmailField', [], {'max_length': '254'}),
            'removed_binaries': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True', 'blank': 'True'}),
            'series': ('django.db.models.fields.CharField', [], {'default': 'None', 'max_length': '4096'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '0', 'max_length': '4096'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'updated': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'ticket.ticketartifact': {
            'Meta': {'object_name': 'TicketArtifact', 'db_table': "'ticket_artifact'"},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'reference': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'ticket': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['ticket.Ticket']", 'null': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '4096'})
        }
    }

    complete_apps = ['ticket']
