# Ubuntu Continuous Integration Engine
# Copyright 2013, 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls import patterns, include, url
from django.contrib import admin
from tastypie.api import Api
from people.api import PersonResource
from project.api import SourcePackageResource, BinaryPackageResource
from ticket.api import (TicketResource, SubTicketResource,
                        TicketArtifactResource, SubTicketArtifactResource,
                        SourcePackageUploadResource, FullSubTicketResource,
                        FullTicketResource, FullTicketArtifactResource,
                        TicketStatusResource, TicketUpdateStatusResource,
                        SubTicketUpdateStatusResource, NextTicketResource,
                        SubTicketStatusResource, OpenTicketResource,
                        FullSubTicketArtifactResource,
                        TicketWorkflowStepResource,
                        SubTicketWorkflowStepResource,
                        TicketWorkflowStepStatusResource,
                        SubTicketWorkflowStepStatusResource,
                       )

admin.autodiscover()
v1_api = Api(api_name='v1')
v1_api.register(PersonResource())
v1_api.register(SourcePackageResource())
v1_api.register(BinaryPackageResource())
v1_api.register(TicketResource())
v1_api.register(SubTicketResource())
v1_api.register(SourcePackageUploadResource())
v1_api.register(TicketArtifactResource())
v1_api.register(SubTicketArtifactResource())
v1_api.register(FullTicketArtifactResource())
v1_api.register(FullSubTicketArtifactResource())
v1_api.register(FullSubTicketResource())
v1_api.register(FullTicketResource())
v1_api.register(SubTicketUpdateStatusResource())
v1_api.register(SubTicketStatusResource())
v1_api.register(TicketUpdateStatusResource())
v1_api.register(TicketStatusResource())
v1_api.register(NextTicketResource())
v1_api.register(OpenTicketResource())
v1_api.register(TicketWorkflowStepResource())
v1_api.register(SubTicketWorkflowStepResource())
v1_api.register(TicketWorkflowStepStatusResource())
v1_api.register(SubTicketWorkflowStepStatusResource())

urlpatterns = patterns(
    '',
    (r'^api/', include(v1_api.urls)),
    url(r'^admin/', include(admin.site.urls)),
)
