YUI().use('io', 'jsonp', 'node', 'webui', 'datatable-mutable',  function(Y) {

  function format_status(o) {
    if( ! o.data.status ) {
      return 'loading...';
    }
    var status = o.data.status;
    var html = '<ul class="status">';
    for(var i=0; i<status.length; i++) {
      html += '<li class="' + status[i].status +'">' + status[i].label + ': ' + status[i].value + '</li>';
    }
    html += '</ul>';
    return html;
  }

  var columns = [
    {key: 'label', label: 'Unit'},
    {key: 'status', label: 'Status', formatter: format_status, allowHTML: true},
  ]
  var table = new Y.DataTable({columnset: columns, recordset: []});
  table.render('#status_table');

  Y.io("/status_urls.json", {
        on: {
          success: function(tx, r) {
            console.log("success");
            try {
              data = Y.JSON.parse(r.responseText);
              for(key in data) {
                 table.addRow({id: key, label: data[key].unit});
                 var worker = new Worker('webui_status_worker.js');
                 worker.addEventListener('message', function(e) {
                   table.getRecord(e.data.node).set('status', e.data.resp);
                 }, false);
                 worker.postMessage({url: data[key].url, node: key});
              }
            }
            catch (e) {
              Y.one("div#main-content").setHTML(e);
              return;
            }
          },
          failure: function(tx, r, e) {
            console.log("failure: ", tx, r, e);
            m = 'An error occurred while trying to load the engine health. ' +
                'Reload to try again.'
            table.showMessage(m);
          }
        }
      });
});
